<%@page language="java"%>

<jsp:useBean id="resource" scope="request" class="CollectionCompactInfo"/>
    
<!-- Header -->
<%@include file="header.jsp"%>

<!-- Contained artifacts -->
<table>
<%
    for (ArtifactCompactInfo containedArtifact : resource.getContainedArtifactSummary()) {
%>
        <tr>
          <td><img src="<%=containedArtifact.getIconUrl()%>"></td>
          <td><%=containedArtifact.getId()%>:</td>
          <td><%=containedArtifact.getTitle()%></td>
        </tr>
<%
    }
%>    
</table>

<%
    if (resource.getNumContainedArtifactsRemaining() > 0) {
      %><div class="more" align="right">... <%=resource.getNumContainedArtifactsRemaining()%> <%=CompactMessages.Collection_More%></div><%
    }
%>

<!-- Common artifact sections -->
<%@include file="artifact.jsp"%>

<!-- Footer -->
<%@include file="footer.jsp"%>
