<!-- Location -->
<div class="groupSection">
  <div class="groupSectionTitle"><%=CompactMessages.LocationSection_Location%></div>
  <div class="groupSectionDividerWrapper">
    <div class="groupSectionDivider"></div>
  </div>
  <div>
    <img class="firstLabelIcon" src="<%=resource.getImagesUrl()%>/project-folder.gif"></img>
    <span class="labelValue"><%=StringEscapeUtils.escapeHtml(resource.getLocationDetails().getProjectName())%></span>
    <img class="subsequentLabelIcon" src="<%=resource.getImagesUrl()%>/folder_o.gif"></img>
    <span class="labelValue"><%=StringEscapeUtils.escapeHtml(resource.getLocationDetails().getFolder())%></span>
  </div>
  <%
      int numTags = resource.getLocationDetails().getTags().size();
      if (numTags > 0) {
  %>
  <div class="labeledValueSectionDivider"></div>
  <img class="firstLabelIcon" src="<%=resource.getImagesUrl()%>/tag.gif"></img>
  <span class="labelValue">
     <%
        for (int i = 0; i < numTags; i++) {
	       Tag tag = resource.getLocationDetails().getTags().get(i);
	       String title = tag.getTitle();
	       String scope = tag.getScope().equals(Scope.PUBLIC) ? "Public" : "Private";
		   String cssClass = i == 0 ? "first" + scope + "TagValue" : "subsequent" + scope + "TagValue";
		   String sep = i == numTags - 1 ? "" : ",";
      %><span class="<%=cssClass%>"><%=StringEscapeUtils.escapeHtml(title)%><%=sep%></span>
	  <% } %>
	</span>
  <%}%>
</div>