<%@ page language="java"%>

<%@page import="com.ibm.rdm.fronting.server.compact.internal.info.*"%>
<%@page import="com.ibm.rdm.fronting.server.common.reviews.*"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Map.Entry"%>

<jsp:useBean id="resource" scope="request" class="ReviewCompactInfo"/>
    
<%@include file="header.jsp"%>
  

<table width="100%"">
<tr><td colspan="2"><div class="groupSectionTitle">Review: <%= resource.getTitle()%></div></td></tr>
<tr><td colspan="2"><div class="groupSectionDivider"></div></td></tr>
<tr>
<td class="label" nowrap>
<%=CompactMessages.Review_YourRole%>:<span class="labelValue"><%
    ReviewRole activeRole = resource.getActiveRole();
	if (activeRole == null) {
	  %><img src="<%=resource.getImagesUrl()%>/role-not-reviewer.gif"></img><%=CompactMessages.Review_NotAReviewer%><%
	} else {
	    switch(activeRole) {
		  case Approver: {
			%><img src="<%=resource.getImagesUrl()%>/role-approver.gif"></img><%=CompactMessages.Review_Approver%><%
			break;
		  }
		  case OptionalReviewer: {
			%><img src="<%=resource.getImagesUrl()%>/role-opt-reviewer.gif"></img><%=CompactMessages.Review_OptionalReviewer%><%
            break;
		  }
		  case RequiredReviewer: {
			%><img src="<%=resource.getImagesUrl()%>/role-reviewer.gif"></img><%=CompactMessages.Review_Reviewer%><%
			break;
		  }
		  default: {
		    %><img src="<%=resource.getImagesUrl()%>/role-not-reviewer.gif"></img><%=CompactMessages.Review_NotAReviewer%><%
		  }
	    }
	}
%>
</span>
</td>

<td class="label"><%=CompactMessages.Review_DueBy%>: <span class="labelValue">
<% if (resource.isOverdue()) { %> <span style="color: red"> <% } %>
<%=resource.getDue()%>
<% if (resource.isOverdue()) { %> </span> <% } %>
</span>
</td>

</tr>
<tr><td class="label" colspan="2"><%=CompactMessages.Review_CreatedBy%>: <%= resource.getCreatorUser().getLink() %></td></tr>
<tr><td class="label" colspan="2"><%=CompactMessages.Review_LastModified%>: <%= resource.getModifiedAsString() %></td></tr>
<tr><td colspan="2"><div class="groupSectionTitle"><%=CompactMessages.Review_ArtifactsInReview%>: </div></td></tr>
<tr><td class="label" colspan="2"><div class="groupSectionDivider"></div></td></tr>
<% 
for (Entry entry : resource.getReviewResults().entrySet()) {
    String key = (String)entry.getKey();
    int[] value = (int[])entry.getValue();
    
    String name = resource.getArtifactTitle(key);
    String status = resource.getArtifactReviewCompletion(value);
%>
<tr><td class="label"><%= name%></td><td class="labelValue"><%=status%></td></tr>
<%
}
%>
</table>

<%@include file="footer.jsp"%>			