
<%@page import="java.util.*"%>
<%@page import="com.ibm.rdm.fronting.server.threaddump.*"%>


<html>
  <head>
  <title>JVM properties</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
    <style type="text/css">
      body {
        margin: 2px;
        background: #FFFFFF;
        color: #000000;
        font-family: Arial,sans-serif;
        font-size: 10pt;
      }
      
      table {
      	border-collapse:collapse;
      }
      
      table, th, td {
      	text-align:left;
      	border: 1px solid black;
      }
      
      td {
      	padding:5px;
      	font-size: 9pt;
      }
      
      a, a:link, a:visited {
      	text-decoration: none;
   	  }
        
	  a:hover, a:active {
      	font-weight: bold;
      	text-decoration:underline;
      }
      
    </style>
  </head>
  <body>
  	<div><h2>JVM Memory</h2></div>
  	<br/>
  	<div>
  		<table>
  		<%
  		JMXInfo info = new JMXInfo();
		List<JMXInfo.JMXMemoryPool> snapshot = info.snapshot();
		%>
		<tr>
			<th>Name</th><th>Heap</th><th>Initial size</th><th>Max size</th><th>Currently Used</th><th>Committed (Reserved)</th>
		</tr>
		<%
		for (JMXInfo.JMXMemoryPool jmxMemoryPool : snapshot) {
		%>
			<tr>
				<td><%=jmxMemoryPool.name%></td>
				<td><%=jmxMemoryPool.heap%></td>
				<td><%=info.readableFileSize(jmxMemoryPool.memoryUsage.init)%></td>
				<td><%=info.readableFileSize(jmxMemoryPool.memoryUsage.max)%></td>
				<td><%=info.readableFileSize(jmxMemoryPool.memoryUsage.used)%></td>
				<td><%=info.readableFileSize(jmxMemoryPool.memoryUsage.committed)%></td>
			</tr>
			<%
		}
		%>
		</table>
	</div>
	<div><h2>JVM Properties</h2></div>
  	<div>
	  	<table>
	  	<%
	  	
	  	Properties properties = System.getProperties();
		List<String> props = new ArrayList<String>();
		for (Object property : Collections.list(properties.propertyNames())) {
			props.add((String) property);
		}
		Collections.sort(props);
		for (String string : props) {
			String value = System.getProperty(string);
			%>
			<tr>
				<td><%=string%></td>
				<td><%=value%></td>
			</tr>
			<%			
		}
		%>
	    </table>
	</div>
	<div><h2>Environment variables</h2></div>	<br/>
	<div>
		<table>
		<%
		
		List<String> envKeys = new ArrayList<String>( System.getenv().keySet() );
		Collections.sort(envKeys);
		for (String string : envKeys) {
			String value = System.getenv().get(string);
			%>
			<tr>
				<td><%=string%></td>
				<td><%=value%></td>
			</tr>
			<%	
		}
		%>
	  	
		</table>
	</div>
  </body>
</html>
