<%@ page import="org.apache.log4j.Level" %>
<%@ page import="org.apache.log4j.LogManager" %>
<%@ page import="org.apache.log4j.Logger" %>
<%@ page import="java.util.List" %>
<%@ page import="com.ibm.rdm.fronting.server.services.properties.internal.*" %>

<jsp:useBean id="propertiesFeedInfo" scope="request" class="PropertiesFeedInfo"/>
<jsp:useBean id="configUrl" scope="request" class="String"/>
<jsp:useBean id="isOverride" scope="request" class="Boolean"/>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
    <title>RRS Properties Configuration</title>
    <style type="text/css">

        <!--
	   	body {
	        margin: 2px;
	        background: #FFFFFF;
	        color: #000000;
	        font-family: Arial,sans-serif;
	        font-size: 10pt;
	    }

        a, a:link, a:visited {
            text-decoration: none;
        }
        
        a:hover, a:active {
            font-weight: bold;
            text-decoration:underline;
        }

	    table {
	      	border-collapse:collapse;
	    }
	      
	    table, th, td {
      		text-align:left;
	      	border: 1px solid gray;
	    }
	    
	    td {
      		padding:3px;
      		font-size: 9pt;
      	}

        .filterForm {
            padding-left: 5px;
            text-align: left;
            white-space: nowrap;
        }
        
        .filterText {
            text-align: left;
            font-weight: bold;
            font-size: 11pt;
        }
        -->
    </style>
</head>
<body>

<div id="content">

<h3> Fronting Properties </h3>

<hr/>

<table cellspacing="1">
    <tr>
        <th width="1%">Property</th>
        <th width="50%">Value</th>
        <th width="1%">Update</th>
    </tr>
   
    <%
    	List<PropertiesConfigInfo> propInfos = propertiesFeedInfo.getPropertiesConfigInfos();
    	for (PropertiesConfigInfo propInfo : propInfos) {
    %>
    <tr>
     <form action="<%=configUrl%>" method="post" encType="application/x-www-form-urlencoded" name="logFilterForm">
   
        <td>
         <% if ( propInfo.isCurrentlySet() ) { %> <b> <% } %>
        <%=propInfo.getPropertyName()%>
         <% if ( propInfo.isCurrentlySet() ) { %> </b> <% } %>
        </td>
        <td><input name="<%=propInfo.getPropertyName()%>" type="text" size="75" value="<%=(propInfo.getPropertyValue() == null ? "" : propInfo.getPropertyValue())%>" 
          <% if ( propInfo.isReadOnly() ) { %> disabled="disabled" <% } %> >  </td>
        <td> <input type="submit" name="updateProp" value="Update Property"
         <% if ( propInfo.isReadOnly() ) { %> disabled="disabled" <% } %>  />
         <% // if override parameter is set, show buttons to allow for writing property to file
         if ( isOverride ) { %>
         <input type="submit" name="updateProp" value="Save Property" />
         <% } %>
         </td>
         
         
        </form>
    </tr>

    <%
        }
    %>
    
    <% // if ovrride is set, display a row to Add a new property 
    if ( isOverride ) { %>
    <tr>
     <form action="<%=configUrl%>" method="post" encType="application/x-www-form-urlencoded" name="logFilterForm">
        <td>
        New Property: <input type="text" name="NewProp" size="50"/>
        </td>
        <td>
        <input type="text" name="NewValue" size="75" />
        </td>
        <td> <input type="submit" name="updateProp" value="Add Property"/>
        <input type="submit" name="updateProp" value="Save Property" />
         </td>
        </form>
    </tr>
    <% } %>
    
    
</table>
<br/>
<br/>

</div>
</body>
</html> 