<%@page language="java"%>

<jsp:useBean id="resource" scope="request" class="BaselineCompactInfo"/>
    
<!-- Header -->
<%@include file="header.jsp"%>
 
<!-- Description -->
<div class="firstGroupSection">
  <span class="description">
  
  <%
    if (resource.getDescription() != null &&
        resource.getDescription().length() > 0) {
  %>
    <%=resource.getDescription()%>
  <% } %>
  
  <table border="0" cellpadding="0" cellspacing="4" width="100%">
    <tr><td nowrap class="label"><%=CompactMessages.Baseline_Name%>:</td><td class="labelValue"><%=resource.getTitle()%></td></tr>
    <tr><td nowrap class="label"><%=CompactMessages.Baseline_Created%>:</td><td class="labelValue"><%=resource.getCreatedAsString()%></td></tr>
    <tr><td nowrap class="label"><%=CompactMessages.Baseline_Artifacts%>:</td><td class="labelValue"><%=resource.getNumArtifacts()%></td></tr>
    <tr><td nowrap class="label"><%=CompactMessages.Baseline_Collections%>:</td><td class="labelValue"><%=resource.getNumCollections()%></td></tr>
  </table>
  
  </span>
</div>

<!-- Footer -->
<%@include file="footer.jsp"%>	
