<!-- Links -->
<%
  if (resource.getLinkDetails().getLinkSummaries().size() > 0) {
%>
<div class="groupSection">
  <div class="groupSectionTitle">Links</div>
  <div class="groupSectionDividerWrapper">
    <div class="groupSectionDivider"></div>
  </div>
        <table class="linkTable" width="100%">
  <%
        int linkIdx = 0;
        boolean firstColumn = true;
        for (LinkSummary summary : resource.getLinkDetails().getLinkSummaries()) {
            firstColumn = (linkIdx++)%2 == 0;
            if (firstColumn) {
                %><tr><%
            }
    %>
            <td valign="top" class="label">
              <img style="vertical-align:text-bottom;" src="<%=summary.getIconUrl()%>"/>
              <%=summary.getLinkLabel()%> (<%=summary.getCount()%>):
              <% 
                  int linkIdIdx = 0;
                  LinkList linkList = summary.getLinkList();
                  for (ICompactResourceInfo info : linkList.getLinks()) {
                     if (linkIdIdx++ > 0) { %>, <% }%><%
                       if (info.getId() == null) {
                     %><%=CompactMessages.LinkSection_Inaccessible%><%
                       } else {
                     %><a target="_blank" href="<%=info.getUri()%>"><%=info.getId()%></a><%
                       }
              %><%
                  }
                  if (linkList.hasMoreLinks()) {
                      %><a target="_blank" href="<%=resource.getUri()%>">...</a><%
                  }
              %>
            </td>
    <%
            if (!firstColumn) {
                 %></tr><%
            } 
        }
        if (firstColumn) {
            %><td></td></tr><%
        }
    %>

    </table>    
    <script>
        if (parent.window.dojo &&
            parent.window.jazz && parent.window.jazz.ui) {
            parent.window.dojo.query(".linkTable a", document.body).forEach(function (a) {
                var idx = a.href.indexOf('<%=resource.getFrontSideURL()%>');
                if (idx != 0) { 
                    new parent.window.jazz.ui.ResourceLink({ }, a);
                }
            });
        }
    </script>  
</div>
<%
  }
%> 