<%@page language="java"%>

<jsp:useBean id="resource" scope="request" class="ProjectCompactInfo"/>
    
<!-- Header -->
<%@include file="header.jsp"%>
 
<!-- Description -->
<div class="firstGroupSection">
  <span class="description">
    <table border="0" cellpadding="0" cellspacing="4" width="100%">
      <tr><td class="label" nowrap><%=CompactMessages.Project_Summary%>: </td><td class="labelValue"><%=resource.getSummary() == null ? "" : resource.getSummary()%></td></tr>
      <tr><td class="label" nowrap><%=CompactMessages.Project_Description%>: </td><td class="labelValue"><%=resource.getDescription() == null ? "" : resource.getDescription()%></td></tr>
      <tr>
        <td class="label" nowrap><%=CompactMessages.Project_Members%> (<%=resource.getTotalMembers()%>):</td>
        <td class="labelValue">
          <%
              int i = 0;
              for (UserDetails member : resource.getMembers()) {
                  if (i++ != 0) {
                      if (resource.isLarge()) {
                          %><br><%
                      } else {
                          %>, <%
                      }
                  }
                  %><%=member.getLink(!resource.isLarge())%><%
              }
          %>
          <%if (resource.isMoreData()) { %>, ...<%}%>
        </td>
      </tr>
    </table>
  </span>
</div>

<!-- Footer -->
<%@include file="footer.jsp"%>	
