<%@ page import="org.apache.log4j.Level" %>
<%@ page import="org.apache.log4j.LogManager" %>
<%@ page import="org.apache.log4j.Logger" %>
<%@ page import="java.util.List" %>
<%@ page import="com.ibm.rdm.fronting.server.services.logging.internal.*" %>

<jsp:useBean id="logConfigViewInfo" scope="request" class="LogConfigViewInfo"/>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/> 
    <title>RRS Server Log Configuration</title>
    <style type="text/css">

        <!--
	   	body {
	        margin: 2px;
	        background: #FFFFFF;
	        color: #000000;
	        font-family: Arial,sans-serif;
	        font-size: 10pt;
	    }

        a, a:link, a:visited {
            text-decoration: none;
        }
        
        a:hover, a:active {
            font-weight: bold;
            text-decoration:underline;
        }

	    table {
	      	border-collapse:collapse;
	    }
	      
	    table, th, td {
      		text-align:left;
	      	border: 1px solid gray;
	    }
	    
	    td {
      		padding:3px;
      		font-size: 9pt;
      	}

        .filterForm {
            padding-left: 5px;
            text-align: left;
            white-space: nowrap;
        }
        
        .filterText {
            text-align: left;
            font-weight: bold;
            font-size: 11pt;
        }
        -->
    </style>
</head>
<body onLoad="javascript:document.logFilterForm.logNameFilter.focus();">

<div id="content">

<div class="filterForm">

    <form action="config" name="logFilterForm"><span class="filterText">Filter Loggers:&nbsp;&nbsp;</span>
        <input name="logNameFilter" type="text" size="50" value="<%=(logConfigViewInfo.getParams().getLogNameFilter() == null ? "" : logConfigViewInfo.getParams().getLogNameFilter())%>" />
        <input name="logNameFilterType" type="submit" value="<%=LogConfigViewInfo.containsFilter%>" />&nbsp;
        <input name="logNameFilterType" type="submit" value="<%=LogConfigViewInfo.beginsWithFilter%>" />&nbsp;
        <input name="logNameClear" type="button" value="Clear" onmousedown='javascript:document.logFilterForm.logNameFilter.value="";'/>
        <input name="logNameReset" type="reset" value="Reset"/>
        <param name="operation" value="changeLogLevel"/>
    </form>
    
    <a href='<%=logConfigViewInfo.getLogFeedUrl()%>'>View Server Logs</a>
</div>

<hr/>

<table cellspacing="1">
    <tr>
        <th width="25%">Logger</th>
        <th width="25%">Parent Logger</th>
        <th width="10%">Current Level</th>
        <th width="40%">Click Log Levels to Update</th>
    </tr>

    <%
    	List<LoggerViewInfo> loggerViews = logConfigViewInfo.getLoggerViewInfo();
    	for (LoggerViewInfo loggerView : loggerViews) {
    %>
    <tr>
        <td><%=loggerView.getLoggerName()%></td>
        <td><%=loggerView.getLoggerParent()%></td>
        <td><%=loggerView.getCurrentLogLevel()%></td>
        <td class="center"><%=loggerView.getLogLevelContent()%></td>
    </tr>

    <%
        }
    %>
</table>
</div>
</body>
</html> 